Skip to main content
GET
Institutional Holdings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

A large entity that manages funds and investments for others. Queryable by name or cik.

Example:

"VANGUARD GROUP INC or 0000102909"

Query Parameters

ticker_symbol
string

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

start_date
string<date>

A date in the format of YYYY-MM-DD, only institutional holdings with report_date values on or after this date will be returned.

Example:

"2023-01-01T00:00:00.000Z"

end_date
string<date>

A date in the format of YYYY-MM-DD, only institutional holdings with report_date values on or before this date will be returned.

Example:

"2023-03-31T00:00:00.000Z"

security_types
string[]

An array of security types

Example:
limit
integer
default:500

How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.

Required range: 1 <= x <= 500
Example:

10

page
integer

Page number (use with limit). Starts on page 0.

Example:

1

order
enum<string>

Optional columns to order the result by

Available options:
date,
ticker,
security_type,
put_call,
first_buy,
price_first_buy,
units,
units_change,
historical_units,
value,
avg_price,
close,
shares_outstanding
Example:

"ticker"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

Response

The holdings for an institution.

avg_price
string
Example:

"23.49"

close
string

The close stock price of the ticker.

Example:

"182.91"

date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

first_buy
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

full_name
string
Example:

"MICROSOFT CORP"

historical_units
integer[]

Historical unit counts. Maximum length = 8.

Example:
perc_of_share_value
number

The percentage of the total share value of this institution that this holding represents. For example, if the sum of all the institution's holdings total $100 million and this holding has reported value $4 million, then the perc_of_share_value result will be 0.04.

Example:

0.04

perc_of_total
number

The percentage of the total outstanding shares owned by this institution. For example, if there are 500 million outstanding shares and this institution owns 1 million shares, then the perc_of_total result will be 0.002.

Example:

0.002

price_first_buy
string

The close price of the ticker on the first buy date.

Example:

"42.39"

put_call
string

Whether the holding is a put or a call (null if neither).

Example:

"put"

sector
enum<string>

A financial sector.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

security_type
string
Example:

"Share"

shares_outstanding
string

Total outstanding shares for the ticker.

Example:

"424295343.0"

ticker
string
Example:

"MSFT"

units
integer
Example:

4103

units_change
integer

The change in units

Example:

-320

value
integer

The rounded total value on the reporting date.

Example:

2429329

Last modified on September 29, 2026